Bug 79405 - [MAINTAINER] ftp/gwget: update to 0.94
Summary: [MAINTAINER] ftp/gwget: update to 0.94
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Johnson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-31 19:30 UTC by Radek Kozlowski
Modified: 2005-04-03 00:54 UTC (History)
0 users

See Also:


Attachments
gwget-0.94.diff (2.04 KB, patch)
2005-03-31 19:30 UTC, Radek Kozlowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Radek Kozlowski 2005-03-31 19:30:07 UTC

This patch supersedes ports/79377.

- Update to 0.94
- Fix RUN_DEPENDS [1]
- Update project's website and master site

Reported by: Daniel Link <stagger@gmx.net> [1]
Comment 1 Michael Johnson freebsd_committer 2005-04-02 06:35:22 UTC
State Changed
From-To: open->open
Comment 2 Michael Johnson freebsd_committer 2005-04-02 06:35:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ahze
Comment 3 Michael Johnson freebsd_committer 2005-04-02 21:08:09 UTC
State Changed
From-To: open->feedback

Does not build on 4.x. Can you please look in to this? 

cc -DHAVE_CONFIG_H -I. -I. -I.. -DGNOME_GWGET_LOCALEDIR=""/usr/X11R6/share/locale"" -DDATADIR=""/usr/X11R6/share/gnome/gwget/"" -I../include -DORBIT2=1 -D_THREAD_SAFE -I/usr/local/include/libart-2.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/orbit-2.0 -I/usr/local/include/libbonobo-2.0 -I/usr/local/include/bonobo-activation-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/libxml2 -I/usr/local/include -I/usr/X11R6/include/libgnomeui-2.0 -I/usr/X11R6/include/libgnome-2.0 -I/usr/X11R6/include/libgnomecanvas-2.0 -I/usr/X11R6/include/gtk-2.0 -I/usr/X11R6/include/gconf/2 -I/usr/X11R6/include/libbonoboui-2.0 -I/usr/X11R6/include/gnome-vfs-2.0 -I/usr/X11R6/lib/gnome-vfs-2.0/include -I/usr/X11R6/include/pango-1.0 -I/usr/X11R6/include -I/usr/local/include/freetype2 -I/usr/X11R6/lib/gtk-2.0/include -I/usr/X11R6/include/libglade-2.0    -I/usr/local/include -Wall -Wimplicit -Wreturn-type -Wunused -Wswitch -Wcomment -Wuninitialized -Wparentheses -Wpointer-arith -Wmissing-prototypes -O1 -g -O -pipe  -c `test -f 'main.c' || echo './'`main.c 
main.c: In function `save_yourself_handler': 
main.c:129: warning: unused variable `i' 
main.c:128: warning: unused variable `iPos' 
main.c:171: `i' undeclared (first use in this function) 
main.c:171: (Each undeclared identifier is reported only once 
main.c:171: for each function it appears in.) 
main.c:173: `iPos' undeclared (first use in this function) 
main.c:174: syntax error before `int' 
main.c:176: `iSize' undeclared (first use in this function) 
main.c: At top level: 
../include/main_window.h:58: warning: `dragtypes' defined but not used 
gmake[3]: *** [main.o] Error 1 
gmake[3]: Leaving directory `/tmp/a/ports/ftp/gwget/work/gwget-0.94/src' 
gmake[2]: *** [all] Error 2 
gmake[2]: Leaving directory `/tmp/a/ports/ftp/gwget/work/gwget-0.94/src' 
gmake[1]: *** [all-recursive] Error 1 
gmake[1]: Leaving directory `/tmp/a/ports/ftp/gwget/work/gwget-0.94' 
gmake: *** [all] Error 2 
*** Error code 2
Comment 4 Michael Johnson freebsd_committer 2005-04-03 00:54:38 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!